EDIT - bug #7284

Multiple taxeditor jars created in p2 update for a single jenkins build
02/21/2018 03:58 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

For one execution of taxeditor-INTEGRATION there are three versions of every taxeditor jar on the update site. They all have
different time stamps that are just some seconds apart from each other.

This may have to do with the configuration of the jenkins jobs.

Related issues:
Related to EDIT - bug #7279: p2 sites are extremely huge Closed

Associated revisions

Revision 6502851f - 03/23/2018 08:04 AM - Patrick Plitzner
ref #7284 Delete taxeditor-INTEGRATION maven repo during clean phase

Revision 5a2cdd34 - 03/23/2018 10:18 AM - Patrick Plitzner
ref #7284 Adjust path

Revision 55971ae2 - 03/23/2018 10:26 AM - Patrick Plitzner
ref #7284 Adjust path again

Revision 7fbd5db8 - 03/23/2018 10:54 AM - Patrick Plitzner

ref #7284 Do not fail on error

Revision cc5bb09d - 03/23/2018 11:51 AM - Patrick Plitzner
ref #7284 Fix server URL

Revision 78895696 - 03/23/2018 01:09 PM - Patrick Plitzner

ref #7284 Remove folder in default clean phase

Revision c4fe6981 - 03/23/2018 02:17 PM - Patrick Plitzner

ref #7284 Move clean target to parent pom

Revision 045a6bb6 - 03/23/2018 02:29 PM - Patrick Plitzner

ref #7284 Move clean target to parent pom

¢ |nstead configure jenkins job to delete files

History

#1 - 02/21/2018 04:00 PM - Patrick Plitzner

- Description updated

#2 - 02/21/2018 04:21 PM - Patrick Plitzner

- Description updated

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 0 to 50
Removing -P uploadRepo -Dupdate.dir=nightly from the taxeditor-JRE-INTEGRATION solved this issue. Now there is only one jar for each taxeditor

plugin on the update site

#3 - 02/21/2018 04:21 PM - Patrick Plitzner
- Related to bug #7279: p2 sites are extremely huge added

#4 - 02/22/2018 10:02 AM - Patrick Plitzner

from Andreas K.:

Im jenkins worspace gibt es einen ordner indem sich noch immer viele artefakte ansammeln:

Ich denke der gehért zu tycho.

es ware gut diesen Order bei Ausfiihrung des clean in maven zu ldschen:

# find -type f -name

'eu.etaxonomy.taxeditor.feature.*'

./eu.etaxonomy.taxeditor/target/repository/features/eu.etaxonomy.taxeditor.feature.platform_4.15.0.20180221150

8.jar

./eu.etaxonomy.taxeditor.feature.platform/target/eu.etaxonomy.taxeditor.
./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.feature.

ure.platform-4.10.0-SNAPSHOT. jar
./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor
ure.platform-4.10.0-SNAPSHOT-p2metadata.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.10.0-SNAPSHOT.pom

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.10.0-SNAPSHOT-p2artifacts.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.11.0-SNAPSHOT-p2metadata.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.11.0-SNAPSHOT-p2artifacts.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.11.0-SNAPSHOT.pom

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.11.0-SNAPSHOT. jar
./.repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.13.0-SNAPSHOT.pom
./ .repository/eu/etaxonomy/eu.etaxononmy .
ure.platform-4.13.0-SNAPSHOT-p2metadata.
./ .repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.13.0-SNAPSHOT. jar

xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.13.0-SNAPSHOT-p2artifacts.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.15.0-SNAPSHOT-p2artifacts.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.15.0-SNAPSHOT.pom
./.repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.15.0-SNAPSHOT. jar
./ .repository/eu/etaxonomy/eu.etaxononmy .
ure.platform-4.15.0-SNAPSHOT-p2metadata.
./ .repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.14.0-SNAPSHOT.pom
./.repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.14.0-SNAPSHOT-p2metadata.
./ .repository/eu/etaxonomy/eu.etaxononmy .
ure.platform-4.14.0-SNAPSHOT. jar
./ .repository/eu/etaxonomy/eu.etaxonomy.
ure.platform-4.14.0-SNAPSHOT-p2artifacts.xml

xml

xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.12.0-SNAPSHOT-p2metadata.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.12.0-SNAPSHOT-p2artifacts.xml

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.12.0-SNAPSHOT. jar

./ .repository/eu/etaxonomy/eu.etaxonomy.taxeditor.

ure.platform-4.12.0-SNAPSHOT.pom

#5 - 03/22/2018 04:18 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner
Patrick Plitzner wrote:

from Andreas K.:

Im jenkins worspace gibt es einen ordner indem sich noch immer viele artefakte ansammeiln:

Ich denke der gehért zu tycho.

es wére gut diesen Order bei Ausflihrung des clean in maven zu l6schen:

the folder ~jenkins/workspace/taxeditor-INTEGRATION/.repository/ still is full of these artifacts

#6 - 03/23/2018 02:33 PM - Patrick Plitzner

- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 50 to 80

Changed

rm —-rf SM2REPO/eu/etaxonomy/cdmlib—*

to

rm -rf $SM2REPO/eu/etaxonomy/

in jenkins job taxeditor-INTEGRATION to also remove the taxeditor artifacts.

#7 - 07/06/2020 02:35 PM - Andreas Kohlbecker

- Tags set to eclipse-p2

#8 - 02/22/2022 03:18 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

apparently all issues solved
